org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.AddDynamicField

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.AddDynamicField

All Implemented Interfaces:
  Serializable

Enclosing class:
  SchemaRequest

    public static class SchemaRequest.AddDynamicField
    extends SchemaRequest.Update

Adds a new dynamic field rule to the schema of the specified collection.

See Also:
  Defining Solr fields, Solr dynamic fields, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Constructor Summary

Constructors
Constructor and Description
`AddDynamicField(Map<String,Object> fieldAttributes)` Creates a new instance of the request.
`AddDynamicField(Map<String,Object> fieldAttributes, SolrParams q)`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

`createResponse, getContentStreams`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddDynamicField

    public AddDynamicField(Map<String,Object> fieldAttributes)

Creates a new instance of the request.

Parameters:
  `fieldAttributes` - field type attributes that can be used to enrich the field definition.

#### AddDynamicField

    public AddDynamicField(Map<String,Object> fieldAttributes,
                           SolrParams q)